Upload a Kerberos keytab
POST
/directory-services/kerberos/keytabs
const url = 'https://sylve.lan:8181/api/directory-services/kerberos/keytabs';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"file":"example","name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://sylve.lan:8181/api/directory-services/kerberos/keytabs \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "file": "example", "name": "example" }'Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Name and base64 keytab file
Media typeapplication/json
object
file
string
name
string
Examplegenerated
{ "file": "example", "name": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
data
object
id
integer
managed
boolean
name
string
principals
Array<string>
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "id": 1, "managed": true, "name": "example", "principals": [ "example" ], "updatedAt": "example" }, "error": "example", "message": "example", "status": "example"}